/*
** Navigator header
*/

#ifndef AMSTER_NAVIGATOR_H
#define AMSTER_NAVIGATOR_H

#define NAVI_CONNECT      0x1501
#define NAVI_GETSERVER    0x1502
#define NAVI_ADDSERVER    0x1503
#define NAVI_REMOVESERVER 0x1504
#define NAVI_SAVE         0x1505
#define NAVI_MARKSERVER   0x1506
#define NAVI_REDRAWSERVER 0x1507
#define NAVI_LOAD         0x1508
#define NAVI_GETNAPIGATOR 0x1509

/* Class instance data */

struct NavigatorData {
	u_long *LV_Server, *ST_Server, *ST_Comment;
};

struct ServerEntry {
	char *Name;
	char *Comment;
	u_long LastOnline;
	int Ping;
	u_long Giga;
	u_long Users;
	u_long Songs;
};

/* Public prototypes */

extern MUIF NavigatorDispatch(REG(a0) struct IClass *cl, REG(a2) Object *obj, REG(a1) Msg msg);
extern ULONG NavigatorNew(struct IClass *cl, Object *obj, struct opSet *msg);

/* Public variables */

extern BOOL ServerListChanged;

#endif	/* AMSTER_NAVIGATOR_H */
