/*
** Search Header
*/

#include <sys/types.h>

#include "include/mui.h"

#ifndef AMSTER_SEARCH_H
#define AMSTER_SEARCH_H

extern int search_state;

struct searchdata {
	u_long *str, *maxstr, *snick;
	u_long *pop;
	u_long *popspeed, *popspeedval, *popbit, *popbitval, *popfreq, *popfreqval;
	u_long *result, *list;
	u_long *clrbut, *BT_Resume, *dlbut, *fptog;
};

MUIF search_dispatch(REG(a0) struct IClass *cl,REG(a2) Object *obj,REG(a1) Msg msg);

#define SEARCH_GO       0x5001
#define SEARCH_CLEAR    0x5002
#define SEARCH_DOWNLOAD 0x5003
#define SEARCH_NICK     0x5004
#define SEARCH_FOUND    0x5005
#define SEARCH_RESET    0x5006
#define SEARCH_REFRESH  0x5007
#define SEARCH_TOGGLE   0x5008
#define SEARCH_SET      0x5009
#define SEARCH_GET      0x5010
#define SEARCH_USE      0x5011


#endif	/* AMSTER_SEARCH_H */
